Bug 58631 - gcc generates assembler messages (unrecognized .section attribute)
Summary: gcc generates assembler messages (unrecognized .section attribute)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-21 20:30 UTC by Permaine Cheung
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 14:37:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
heaptuple.i (4.85 KB, text/plain)
2002-01-21 20:32 UTC, Permaine Cheung
no flags Details

Description Permaine Cheung 2002-01-21 20:30:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
When I compile the heaptuple.i file with -O, I get a bunch of Assembler 
messages complaining about unrecognized .section attribute.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. gcc heaptuple.i -c -O
2.
3.
	

Actual Results:  % gcc heaptuple.i -c -O
/tmp/ccfFR3sR.s: Assembler messages:
/tmp/ccfFR3sR.s:3: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:3: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:3: Error: Rest of line ignored. First ignored character is `,'.
/tmp/ccfFR3sR.s:28: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:28: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:28: Error: Rest of line ignored. First ignored character is `,'.
/tmp/ccfFR3sR.s:54: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:54: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:54: Error: Rest of line ignored. First ignored character is `,'.
/tmp/ccfFR3sR.s:97: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:97: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:97: Error: Rest of line ignored. First ignored character is `,'.
/tmp/ccfFR3sR.s:128: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:128: Warning: Unrecognized .section attribute: want a,w,x
/tmp/ccfFR3sR.s:128: Error: Rest of line ignored. First ignored character is `,'
.


Expected Results:  compiles fine without any error

Additional info:

Compiling without -O is fine. This also compiles fine with 7.1.
I've cut down the heaptuple.i file, the original file is part of postgresql 
package.

Comment 1 Permaine Cheung 2002-01-21 20:32:06 UTC
Created attachment 43054 [details]
heaptuple.i

Comment 2 Jakub Jelinek 2002-01-22 11:46:16 UTC
What binutils do you use?
gcc-2.96-101 requires binutils >= 2.11.90.0.8-3
which certainly supports all of M, S and s section attributes
(that's why the requirement is there).

Comment 3 Permaine Cheung 2002-01-23 18:12:15 UTC
The binutils that I'm using is: binutils-2.11.90.0.8-12.

Comment 4 Need Real Name 2002-02-12 12:00:59 UTC
The same thing happens to me with rh7.2 on ia32: gcc-2.96-98, binutils-2.11.90.0.8-9
It happens with almost any C file compiled with -O or higher.  egcs-2.91.66 works fine.
An example of the .section line that causes trouble is:
.section        .rodata.str1.32,"ams",@progbits,1
(This is from VbrTag.c from LAME)

Comment 5 Need Real Name 2002-02-12 13:09:13 UTC
Upgraded to binutils 2.11.92.0.12 in rawhide. Problem still occurred until I did whereis as
and found I had versions in /usr/local/bin and /usr/bin. Using the /usr/bin (newer) 
version gives no errors. The info file is also up-to-date with the .section 
attributes. Apparently no rpm owns /usr/local/bin/as...I don't remember installing
from tarball though.

Comment 6 Jakub Jelinek 2002-02-12 14:37:52 UTC
Isn't this the case with the original bug report too, ie. is /usr/bin/as
from binutils binary rpm really used for assembly?
gcc -v shows how is as exactly called (if without any path, then which as
tells).

Comment 7 Permaine Cheung 2002-02-13 17:40:22 UTC
When picking up the correct as, the problem goes away.


Note You need to log in before you can comment on or make changes to this bug.